# Product files

- [Upload product file](https://docs.ecwid.com/api-reference/rest-api/products/product-files/upload-product-file.md): Upload a new file to the product. Doesn't affect placed paid orders.
- [Download product file](https://docs.ecwid.com/api-reference/rest-api/products/product-files/download-product-file.md)
- [Delete product file](https://docs.ecwid.com/api-reference/rest-api/products/product-files/delete-product-file.md)
- [Delete all product files](https://docs.ecwid.com/api-reference/rest-api/products/product-files/delete-all-product-files.md)
- [Change product file description](https://docs.ecwid.com/api-reference/rest-api/products/product-files/change-product-file-description.md): Change the uploaded product file description with another one.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ecwid.com/api-reference/rest-api/products/product-files.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
